---
layout: docs
page_title: roles remove-grants - Command
description: >-
  The "roles remove-grants" command removes grants from an existing role resource.
---

⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️
> [!IMPORTANT]  
> **Documentation Update:** Product documentation previously located in `/website` has moved to the [`hashicorp/web-unified-docs`](https://github.com/hashicorp/web-unified-docs) repository, where all product documentation is now centralized. Please make contributions directly to `web-unified-docs`, since changes to `/website` in this repository will not appear on developer.hashicorp.com.
⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️⚠️

# roles remove-grants

Command: `roles remove-grants`

The `roles remove-grants` command lets you remove grants from a role.
You can specify multiple grants per role.

## Example

This example removes a grant which permits read permissions from a role with the ID `r_1234567890`:

```shell-session
$ boundary roles remove-grants -id r_1234567890 -grant "ids=*;type=*;actions=read"
```

## Usage

<CodeBlockConfig hideClipboard>

```shell-session
$ boundary roles remove-grants [options] [args]
```

</CodeBlockConfig>

### Command options

- `-grant=<string>` - The grants you want to remove from the role.
You can specify grants in compact string format or JSON.
If you use JSON, be sure to escape it properly.
You can optionally specify multiple grants.
- `-ids=<string>` - The IDs of the roles you want to remove grants from.
You can specify one or more IDs.
If you specify multiple IDs using text, use commas to separate the IDs.
If you specify multiple IDs using JSON, use an array.
- `-version=<int>` - The version of the role you want to remove grants from.
If you do not specify a version, the command performs a check-and-set automatically.

@include 'cmd-option-note.mdx'